package com.zjrs.ggfw.portal.bpo;

import org.mohrss.leaf.core.framework.domain.bpo.IBPO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.ggfw.portal.dto.*;
import com.zjrs.ggfw.portal.po.RsWbBjSub;

import java.util.List;

public interface SxblBPO extends IBPO {
	
	//查询用户办件列表
    public PageResult getBjList(SxblQueryDTO dto);
    
    //自助终端查询用户办件列表
    public AjaxResponse getZzzdBjList(BjjdZzzdQueryDTO dto);
    
    //查询受理信息流程环节
    public AjaxResponse getSlxxHj(SlxxHjQueryDTO dto);
    
    //获取事项详细信息
    public AjaxResponse getRsSxConfig(SxblInitDTO dto);
    
    //获取事项配置样表下载列表
    public AjaxResponse getRsSxConfigFile(SxConfigFileQueryDTO dto);
    
    //初始化事项办理申请界面
    public AjaxResponse getInitBj(SxblInitDTO dto);
    
    //获取事项办件信息
    public AjaxResponse getBjDetail(BjQueryDTO dto);
    
    //保存事项办件信息
    public AjaxResponse saveBj(BjDTO dto);
    
    //删除事项办件信息
    public AjaxResponse deleteBj(BjQueryDTO dto);
    
    //保存政府信息依申请公开（个人）
    public AjaxResponse saveGrZfxxysqgk(ZfxxysqgkGrDTO dto);
    
    //保存政府信息依申请公开（单位）
    public AjaxResponse saveDwZfxxysqgk(ZfxxysqgkDwDTO dto);
    
    //保存信访事项
    public AjaxResponse saveXfsxtc(XfsxtcDTO dto);
    
    //保存高层次人才认定
    public AjaxResponse saveGccrcrd(GccrcrdDTO dto);
    
    //保存社会保障卡信息
    public AjaxResponse saveShbzkxx(ShbzkxxDTO dto);
    
    //保存PSAM卡业务信息
    public AjaxResponse savePsamYwxx(PsamDTO dto);
    
    //获取政府信息依申请公开
    public AjaxResponse getZfxxysqgk(BjQueryDTO dto);
    
    //获取信访事项
    public AjaxResponse getXfsxtc(BjQueryDTO dto);
    
    //获取高层次人才认定信息
    public AjaxResponse getGccrcrd(BjQueryDTO dto);
    
    //获取社会保障卡信息
    public AjaxResponse getShbzkxx(BjQueryDTO dto);
    
    //获取社会保障卡接口日志信息
    public AjaxResponse getShbzkJkrz(BjQueryDTO dto);
    
    //获取PSAM卡业务信息
    public AjaxResponse getPsamYwxx(BjQueryDTO dto);

	//获取PSAM卡安装机构
	public AjaxResponse getPsamAzjg();
	
    //获取事项材料列表
    public PageResult getSxclList(SxZllbQueryDTO dto);
    
    //获取事项办理资料类别列表
    public PageResult getSxSdzlList(BjZllbQueryDTO dto);
    
    //获取事项材料附件列表
    public PageResult getBjSxclList(ClfjQueryDTO dto);
    
    //上传附件
    public AjaxResponse uploadfile(ClfjDTO dto);
    
    //删除附件
    public void delClfj(ClfjDelDTO dto);
    
    //提交申请
    public AjaxResponse submitBj(BjQueryDTO dto);
    
    //提交社会保障卡事项
    public AjaxResponse submitShbzk(ShbzkBjDTO dto);
    
    //获取PSAM卡反馈流水号列表信息
    public AjaxResponse getRsPsamAzfkList(PsamFkxxListQueryDTO dto);
    
    //获取PSAM卡反馈详细信息
    public AjaxResponse getRsPsamAzfkxx(PsamFkxxQueryDTO dto);
    
    //保存PSAM卡反馈信息
    public AjaxResponse saveRsPsamAzfkxx(PsamFkxxDTO dto);
    
    //提交PSAM卡反馈信息
    public AjaxResponse submitRsPsamAzfkxx(PsamFkxxListQueryDTO dto);
    
    //保存好差评信息
    public AjaxResponse saveRsJkHcp(HcpDTO dto);
    
    //查询好差评信息
    public AjaxResponse getRsJkHcp(SlxxHjQueryDTO dto);
    
	//查询待评价业务数据
    public AjaxResponse getHcpBjCnt();

    //办件信息结果附件
    public PageResult getFjList(SxblFjDTO dto);

    //保存档案转递（机要寄档）
    public AjaxResponse saveDazd(DazdDTO dto);

    //保存党员材料转递
    public AjaxResponse saveDyclzd(DazdDTO dto);

    //获取档案转递（机要寄档）
    public AjaxResponse getDazd(BjQueryDTO dto);

    //获取党员材料转递
    public AjaxResponse getDyclzd(BjQueryDTO dto);

    //暂存高层次人才信息
    public AjaxResponse saveTempGccrcrd(GccrcrdDTO dto);

    public AjaxResponse saveQxxsfy(QxxxfyxxDTO dto);

    public AjaxResponse getQxxsfy(BjQueryDTO dto);

    public void saveYjsYwxx(YjsQueryDTO dto);

    List<RsWbBjSub> getYjsYwxx(YjsQueryDTO dto);

    void checkCondition(String sxbm);
}